//signal.h: A header file defining useful signal types and
//signal manipulation functions

#if !defined(_Signal_h_)
#define _Signal_h_

enum signal_type {False=0, True, High_Impedance, Unknown}; 
//logic values, high-impedance, unknown

enum voltage_type {Low=0, High, Floating}; 
//voltages applied to pads (mapped to signal values)

enum optical_type { UL=0, VL, ML, L, H, MH, VH, UH, Undefined};
//8 selectable thresholds

enum assertion_type {asserted_low=0, asserted_high};

///////////////////////////////////////////////////////////////////////////////

voltage_type asserted_high_voltage_value(signal_type); 

voltage_type asserted_low_voltage_value(signal_type);

signal_type asserted_high_signal_value(voltage_type);

signal_type asserted_low_signal_value(voltage_type);

char voltage_to_char(voltage_type);

char signal_to_char(signal_type);

char optical_to_char(optical_type);

#endif


